MsWrdTextStylesInternal::State Struct Reference documentation

MsWrdTextStylesInternal::State Struct Reference

Internal: the state of a MsWrdTextStylesInternal. More...

## Public Member Functions
| State ()
| constructor

## Public Attributes
int | m_version
| the file version
MWAWFont | m_defaultFont
| the default font ( NewYork 12pt)
std::map< int, int > | m_nextStyleMap
| a map styleId to next styleId
std::vector< MsWrdStruct::Font > | m_fontList
| the list of fonts
std::vector< MsWrdStruct::Paragraph > | m_paragraphList
| the list of paragraph
std::vector< MsWrdStruct::Section > | m_sectionList
| the list of section
std::vector< MsWrdStruct::Paragraph > | m_textstructParagraphList
| the list of paragraph in textstruct
std::map< int, MsWrdStruct::Font > | m_styleFontMap
| the list of fonts in style
std::map< int, MsWrdStruct::Paragraph > | m_styleParagraphMap
| the list of paragraph in style

## Detailed Description

Internal: the state of a MsWrdTextStylesInternal.

## Constructor & Destructor Documentation

## ◆ State()

MsWrdTextStylesInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_defaultFont

MWAWFont MsWrdTextStylesInternal::State::m_defaultFont

the default font ( NewYork 12pt)

Referenced by State().

## ◆ m_fontList

std::vector<MsWrdStruct::Font> MsWrdTextStylesInternal::State::m_fontList

the list of fonts

Referenced by State().

## ◆ m_nextStyleMap

std::map<int,int> MsWrdTextStylesInternal::State::m_nextStyleMap

a map styleId to next styleId

Referenced by State().

## ◆ m_paragraphList

std::vector<MsWrdStruct::Paragraph> MsWrdTextStylesInternal::State::m_paragraphList

the list of paragraph

Referenced by State().

## ◆ m_sectionList

std::vector<MsWrdStruct::Section> MsWrdTextStylesInternal::State::m_sectionList

the list of section

Referenced by State().

## ◆ m_styleFontMap

std::map<int, MsWrdStruct::Font> MsWrdTextStylesInternal::State::m_styleFontMap

the list of fonts in style

Referenced by State().

## ◆ m_styleParagraphMap

std::map<int, MsWrdStruct::Paragraph> MsWrdTextStylesInternal::State::m_styleParagraphMap

the list of paragraph in style

Referenced by State().

## ◆ m_textstructParagraphList

std::vector<MsWrdStruct::Paragraph> MsWrdTextStylesInternal::State::m_textstructParagraphList

the list of paragraph in textstruct

Referenced by State().

## ◆ m_version

int MsWrdTextStylesInternal::State::m_version

the file version

Referenced by State().

The documentation for this struct was generated from the following file:

- MsWrdTextStyles.cxx